# Uses of Enum Class
org.eclipse.emf.cdo.common.lock.IDurableLockingManager.LockGrade

Packages that use IDurableLockingManager.LockGrade
Package
Description
org.eclipse.emf.cdo.common.lock
Common concepts for dealing with durable locks and views.
org.eclipse.emf.cdo.server
Server concepts for dealing with repositories and stores.
org.eclipse.emf.cdo.spi.server
Server service provider interfaces and useful base implementations.
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of IDurableLockingManager.LockGrade in org.eclipse.emf.cdo.common.lock

Methods in org.eclipse.emf.cdo.common.lock that return IDurableLockingManager.LockGrade
Modifier and Type
Method
Description
`static IDurableLockingManager.LockGrade`
IDurableLockingManager.LockGrade.`get(boolean read, boolean write)`
Deprecated.
Use `get(boolean, boolean, boolean)`
`static IDurableLockingManager.LockGrade`
IDurableLockingManager.LockGrade.`get(boolean read, boolean write, boolean option)`
`static IDurableLockingManager.LockGrade`
IDurableLockingManager.LockGrade.`get(int value)`
`static IDurableLockingManager.LockGrade`
IDurableLockingManager.LockGrade.`get(org.eclipse.net4j.util.concurrent.IRWLockManager.LockType type)`
`IDurableLockingManager.LockGrade`
IDurableLockingManager.LockGrade.`getUpdated(org.eclipse.net4j.util.concurrent.IRWLockManager.LockType type, boolean on)`
`static IDurableLockingManager.LockGrade`
IDurableLockingManager.LockGrade.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static IDurableLockingManager.LockGrade[]`
IDurableLockingManager.LockGrade.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.eclipse.emf.cdo.common.lock that return types with arguments of type IDurableLockingManager.LockGrade
Modifier and Type
Method
Description
`Map<CDOID,IDurableLockingManager.LockGrade>`
IDurableLockingManager.LockArea.`getLocks()`
Method parameters in org.eclipse.emf.cdo.common.lock with type arguments of type IDurableLockingManager.LockGrade
Modifier and Type
Method
Description
`static IDurableLockingManager.LockArea`
CDOLockUtil.`createLockArea(String durableLockingID, String userID, CDOBranchPoint branchPoint, boolean readOnly, Map<CDOID,IDurableLockingManager.LockGrade> locks)`
`IDurableLockingManager.LockArea`
IDurableLockingManager.`createLockArea(String userID, CDOBranchPoint branchPoint, boolean readOnly, Map<CDOID,IDurableLockingManager.LockGrade> locks)`

## Uses of IDurableLockingManager.LockGrade in org.eclipse.emf.cdo.server

Method parameters in org.eclipse.emf.cdo.server with type arguments of type IDurableLockingManager.LockGrade
Modifier and Type
Method
Description
`IDurableLockingManager.LockArea`
IStoreAccessor.DurableLocking2.`createLockArea(String durableLockingID, String userID, CDOBranchPoint branchPoint, boolean readOnly, Map<CDOID,IDurableLockingManager.LockGrade> locks)`

## Uses of IDurableLockingManager.LockGrade in org.eclipse.emf.cdo.spi.server

Methods in org.eclipse.emf.cdo.spi.server that return IDurableLockingManager.LockGrade
Modifier and Type
Method
Description
`IDurableLockingManager.LockGrade`
InternalLockManager.`getLockGrade(Object key)`
Methods in org.eclipse.emf.cdo.spi.server that return types with arguments of type IDurableLockingManager.LockGrade
Modifier and Type
Method
Description
`Map<CDOID,IDurableLockingManager.LockGrade>`
DurableLockArea.`getLocks()`
Deprecated.
`Map<CDOID,IDurableLockingManager.LockGrade>`
InternalLockManager.`getLocks(IView view)`
Method parameters in org.eclipse.emf.cdo.spi.server with type arguments of type IDurableLockingManager.LockGrade
Modifier and Type
Method
Description
`void`
InternalLockManager.`openView(ISession session, int viewID, boolean readOnly, String durableLockingID, Consumer<IView> viewConsumer, BiConsumer<CDOID,IDurableLockingManager.LockGrade> lockConsumer)`
Constructor parameters in org.eclipse.emf.cdo.spi.server with type arguments of type IDurableLockingManager.LockGrade
Modifier
Constructor
Description
``
`DurableLockArea(String durableLockingID, String userID, CDOBranchPoint branchPoint, boolean readOnly, Map<CDOID,IDurableLockingManager.LockGrade> locks)`
Deprecated.

## Uses of IDurableLockingManager.LockGrade in org.eclipse.emf.spi.cdo

Method parameters in org.eclipse.emf.spi.cdo with type arguments of type IDurableLockingManager.LockGrade
Modifier and Type
Method
Description
`CDOBranchPoint`
CDOSessionProtocol.`openView(int viewID, boolean readOnly, String durableLockingID, BiConsumer<CDOID,IDurableLockingManager.LockGrade> consumer)`